Bug 678450 - Opening Input Method Selector in Xfce4-settings produces an Error message.
Summary: Opening Input Method Selector in Xfce4-settings produces an Error message.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: im-chooser (Show other bugs)
(Show other bugs)
Version: 15
Hardware: i686 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F15Target-xfce
TreeView+ depends on / blocked
 
Reported: 2011-02-17 23:53 UTC by Vitezslav Humpa
Modified: 2011-03-03 15:31 UTC (History)
4 users (show)

Fixed In Version: im-chooser-1.4.1-7.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-03 03:39:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vitezslav Humpa 2011-02-17 23:53:24 UTC
Description of problem:
When opening input method settings in XFCE4.8 error message box appears: "Version mismatch - Unable to communicate to IMSettings services"

Version-Release number of selected component (if applicable):
im-chooser 1.4.1, release 5.fc15 
xfce4-settings 4.8.1, release 2.fc15
Not sure which one of these is the cause of the problem

How reproducible:

Steps to Reproduce:
1. in XFCE, run settings manager
2. click on "input method selector"
3.
  
Actual results:
Error message pops in

Expected results:
Input Method settings applet appears

Additional info:
Happened in updated Alfa TC2

Comment 1 Kevin Fenzi 2011-02-18 18:11:44 UTC
I see this here as well, but it's unclear to me which part of this isn't working right. ;) 

Moving over to im-chooser folks for comment. 
It may be that xfce4-session is not starting the right stuff for this to work, or it might be some bug with the im-chooser not working right now.

Comment 2 Akira TAGOH 2011-02-21 02:26:59 UTC
My bad. I have to rebuild im-chooser with the latest imsettings. this should be fixed in im-chooser-1.4.1-6

Comment 3 Fedora Update System 2011-02-21 02:34:35 UTC
im-chooser-1.4.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/im-chooser-1.4.1-6.fc15

Comment 4 Fedora Update System 2011-02-21 03:20:44 UTC
im-chooser-1.4.1-6.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update im-chooser'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/im-chooser-1.4.1-6.fc15

Comment 5 Vitezslav Humpa 2011-02-21 13:11:08 UTC
Unfortunately updated im-chooser-1.4.1-6 still produces the same error message.

Comment 6 Akira TAGOH 2011-02-22 01:48:50 UTC
Please make sure you have imsettings-1.2.0 installed and may be required to re-log into your desktop.

Comment 7 A S Alam 2011-02-22 16:18:07 UTC
I have following im-settings installed 

imsettings-1.2.0-1.fc15.x86_64
im-chooser-1.4.1-6.fc15.x86_64

still getting error message (rebooted):
--
Unable to communicate to IMSettings services
--

Terminal messages:
--
$ im-chooser 
Gtk-Message: Failed to load module "pk-gtk-module"

** (im-chooser:3442): WARNING **: AT-SPI: Accessibility bus not found - Using session bus.


(im-chooser:3442): GLib-GObject-WARNING **: g_object_set_valist: object class `GtkMessageDialog' has no property named `content-area-spacing'

(im-chooser:3442): GLib-GObject-WARNING **: g_object_set_valist: object class `GtkMessageDialog' has no property named `content-area-border'
---

Comment 8 Fedora Update System 2011-02-23 03:35:53 UTC
im-chooser-1.4.1-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/im-chooser-1.4.1-7.fc15

Comment 9 Akira TAGOH 2011-02-23 03:37:03 UTC
1.4.1-7 should works.

Comment 10 Fedora Update System 2011-02-23 20:29:45 UTC
im-chooser-1.4.1-7.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update im-chooser'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/im-chooser-1.4.1-7.fc15

Comment 11 Fedora Update System 2011-03-03 03:39:38 UTC
im-chooser-1.4.1-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Vitezslav Humpa 2011-03-03 15:31:38 UTC
I confirm that in new im-chooser package this has been resolved.


Note You need to log in before you can comment on or make changes to this bug.